> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Send JSON-RPC Requests

> Stateless, lightweight, remote procedure call (RPC) protocol that is commonly used when interacting with chain.



## OpenAPI

````yaml /reference/api-json.json post /json-rpc
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /json-rpc:
    post:
      tags:
        - JSON-RPC
      summary: Send JSON-RPC Requests
      description: >-
        Stateless, lightweight, remote procedure call (RPC) protocol that is
        commonly used when interacting with chain.
      operationId: JsonRpc
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 1001
              - 10143
              - 10200
              - 1088
              - 1101
              - 11011
              - 1111
              - 1112
              - 11124
              - 11142220
              - 11155111
              - 11155420
              - 11155931
              - 1116
              - 11235
              - 11297108099
              - 11297108109
              - 1135
              - 122
              - 1284
              - 1285
              - 1287
              - 130
              - 1301
              - 1313161554
              - 1315
              - 1328
              - 1329
              - 13371
              - 137
              - 1380012617
              - 14
              - 143
              - 146
              - 14601
              - 151
              - 1514
              - 1625
              - 16661
              - 1666600000
              - 167000
              - 168587773
              - 169
              - 1868
              - 1923
              - 1924
              - 1946
              - 196
              - 199
              - 2020
              - 2021
              - 2031
              - 204
              - 2043
              - 21000000
              - 2201
              - 2222
              - 222222
              - 223
              - 232
              - 2345
              - 23888
              - 239
              - 2442
              - 248
              - 25
              - 250
              - 252
              - 2741
              - 2810
              - 2818
              - 288
              - 28882
              - 30
              - 300
              - 3068
              - 31
              - 314
              - 320
              - 321
              - 322
              - 324
              - 32769
              - 33101
              - 33111
              - 33139
              - 336
              - 34443
              - 351243127
              - 360
              - 3636
              - 3637
              - 369
              - 36900
              - 37111
              - 388
              - 397
              - 398
              - 40
              - 4002
              - 4157
              - 4158
              - 4202
              - 42161
              - 421614
              - 4217
              - 42170
              - 42220
              - 42261
              - 42262
              - 42431
              - 42793
              - 43111
              - 43113
              - 43114
              - 4326
              - 4689
              - 480
              - 4801
              - 50
              - 5000
              - 5003
              - 5031
              - 51
              - 510
              - 5115
              - 5330
              - 53302
              - 534351
              - 534352
              - 5371
              - 5373
              - 54211
              - 543210
              - 545
              - 56
              - 560048
              - 5611
              - 57054
              - 57073
              - 59141
              - 59144
              - 592
              - 60808
              - 61
              - 6343
              - 66
              - 660279
              - 666666666
              - 685685
              - 690
              - 6900
              - 69000
              - 698
              - 6985385
              - 7000
              - 7001
              - 7070
              - 7332
              - 737373
              - 743111
              - 747
              - 747474
              - 7560
              - 763373
              - 7777777
              - 787
              - 80002
              - 80069
              - 8008
              - 80094
              - 808813
              - 81
              - 810180
              - 81457
              - 8217
              - 8453
              - 84532
              - 869
              - 88
              - 88882
              - 88888
              - 9001
              - 919
              - 943
              - 945
              - 964
              - 97
              - 9745
              - 9746
              - 988
              - 98866
              - 998
              - 999
              - 99999
              - 999999999
              - aptos
              - bitcoin
              - bitcoin-testnet
              - bitcoin-testnet4
              - celestia
              - eth-holesky-beacon
              - eth-hoodi-beacon
              - eth-mainnet-beacon
              - eth-sepolia-beacon
              - kusama
              - osmosis
              - pokt
              - polkadot
              - ripple
              - solana
              - solana-devnet
              - starknet
              - starknet-sepolia
              - stellar-soroban
              - stellar-soroban-testnet
              - sui
              - toncoin
              - tron
              - tron-testnet
            type: string
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - Ankr
              - Infura
              - Moralis
              - Tatum
              - Thirdweb
              - QuickNode
              - BlockDaemon
              - Helius
              - Pokt
              - Nodies
              - Shyft
              - Uniblock
              - Chainstack
              - AllThatNode
              - Dwellir
              - OnFinality
              - dRPC
              - DRPC
            type: string
      requestBody:
        required: true
        description: A single JSON-RPC request or an array of JSON-RPC requests.
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/JsonRpcBodyDto'
                - type: array
                  items:
                    $ref: '#/components/schemas/JsonRpcBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonRpcResponse'
components:
  schemas:
    JsonRpcBodyDto:
      type: object
      properties:
        id:
          type: object
          description: An identifier established by the Client.
          example: 1
          default: 1
        jsonrpc:
          type: string
          description: The version of the JSON-RPC protocol.
          example: '2.0'
          default: '2.0'
        method:
          type: string
          description: A String containing the name of the method to be invoked.
          enum:
            - abci_info
            - abci_query
            - avax.export
            - avax.exportAVAX
            - avax.exportKey
            - avax.getAtomicTx
            - avax.getAtomicTxStatus
            - avax.getUTXOs
            - avax.import
            - avax.importAVAX
            - avax.importKey
            - avax.issueTx
            - block
            - block_by_hash
            - block_results
            - blockchain
            - bor_getAuthor
            - bor_getCurrentProposer
            - bor_getCurrentValidators
            - bor_getRootHash
            - bor_getSignersAtHash
            - broadcast_evidence
            - broadcast_tx_async
            - broadcast_tx_sync
            - commit
            - consensus_params
            - consensus_state
            - db_getHex
            - db_getString
            - db_putHex
            - db_putString
            - debug_traceBlock
            - debug_traceBlockByHash
            - debug_traceBlockByNumber
            - debug_traceCall
            - debug_traceTransaction
            - dump_consensus_state
            - eth_accounts
            - eth_baseFee
            - eth_blockNumber
            - eth_call
            - eth_chainId
            - eth_coinbase
            - eth_compileLLL
            - eth_compileSerpent
            - eth_compileSolidity
            - eth_createAccessList
            - eth_estimateGas
            - eth_feeHistory
            - eth_gasPrice
            - eth_getAccount
            - eth_getAssetBalance
            - eth_getBalance
            - eth_getBlockByHash
            - eth_getBlockByNumber
            - eth_getBlockReceipts
            - eth_getBlockTransactionCountByHash
            - eth_getBlockTransactionCountByNumber
            - eth_getCode
            - eth_getCompilers
            - eth_getFilterChanges
            - eth_getFilterLogs
            - eth_getLogs
            - eth_getProof
            - eth_getRawTransactionByBlockHashAndIndex
            - eth_getRawTransactionByBlockNumberAndIndex
            - eth_getRawTransactionByHash
            - eth_getRootHash
            - eth_getSignersAtHash
            - eth_getStorageAt
            - eth_getTransactionByBlockHashAndIndex
            - eth_getTransactionByBlockNumberAndIndex
            - eth_getTransactionByHash
            - eth_getTransactionCount
            - eth_getTransactionReceipt
            - eth_getTransactionReceiptsByBlock
            - eth_getUncleByBlockHashAndIndex
            - eth_getUncleByBlockNumberAndIndex
            - eth_getUncleCountByBlockHash
            - eth_getUncleCountByBlockNumber
            - eth_getWork
            - eth_submitWork
            - eth_hashrate
            - eth_maxPriorityFeePerGas
            - eth_mining
            - eth_newBlockFilter
            - eth_newFilter
            - eth_newPendingTransactionFilter
            - eth_protocolVersion
            - eth_sendPrivateTransaction
            - eth_sendRawTransaction
            - eth_sendTransaction
            - eth_sign
            - eth_signTransaction
            - eth_submitHashrate
            - eth_subscribe
            - eth_syncing
            - eth_uninstallFilter
            - eth_unsubscribe
            - genesis
            - health
            - health.health
            - info.getBlockchainID
            - info.getNetworkID
            - info.getNetworkName
            - info.getNodeVersion
            - info.getTxFee
            - info.uptime
            - net_info
            - net_listening
            - net_peerCount
            - net_version
            - num_unconfirmed_txs
            - status
            - trace_block
            - trace_call
            - trace_callMany
            - trace_filter
            - trace_transaction
            - tx
            - tx_search
            - txpool_content
            - txpool_contentFrom
            - txpool_inspect
            - txpool_status
            - unconfirmed_txs
            - validators
            - web3_clientVersion
            - web3_sha3
            - platform.getBalance
            - platform.getBlockchainStatus
            - platform.getBlockchains
            - platform.getCurrentSupply
            - platform.getCurrentValidators
            - platform.getHeight
            - platform.getMaxStakeAmount
            - platform.getMinStake
            - platform.getPendingValidators
            - platform.getRewardUTXOs
            - platform.getStake
            - platform.getStakingAssetID
            - platform.getSubnets
            - platform.getTimestamp
            - platform.getTotalStake
            - platform.getTx
            - platform.getTxStatus
            - platform.getUTXOs
            - platform.getValidatorsAt
            - platform.issueTx
            - platform.sampleValidators
            - platform.validatedBy
            - platform.validates
            - avm.buildGenesis
            - avm.getAddressTxs
            - avm.getAllBalances
            - avm.getAssetDescription
            - avm.getBalance
            - avm.getTx
            - avm.getTxStatus
            - avm.getUTXOs
            - avm.issueTx
            - index.getContainerByID
            - index.getContainerByIndex
            - index.getContainerRange
            - index.getIndex
            - index.getLastAccepted
            - index.isAccepted
            - arbtrace_block
            - arbtrace_call
            - arbtrace_callMany
            - arbtrace_filter
            - arbtrace_replayBlockTransactions
            - arbtrace_replayTransaction
            - arbtrace_transaction
            - trace_rawTransaction
            - debug_getBadBlocks
            - debug_storageRangeAt
            - debug_getTrieFlushInterval
            - debug_getRawReceipts
            - trace_replayBlockTransactions
            - trace_replayTransaction
            - ots_getApiLevel
            - ots_getInternalOperations
            - ots_hasCode
            - ots_getTransactionError
            - ots_traceTransaction
            - ots_getContractCreator
            - ots_getBlockDetails
            - ots_getBlockDetailsByHash
            - ots_getBlockTransactions
            - ots_searchTransactionsBefore
            - ots_searchTransactionsAfter
            - dag_getEvent
            - dag_getEventPayload
            - dag_getHeads
            - ftm_currentEpoch
            - trace_get
            - eth_getBalanceValues
            - optimism_outputAtBlock
            - optimism_syncStatus
            - optimism_rollupConfig
            - optimism_version
            - eth_estimateExecutionGas
            - getAccountInfo
            - getBalance
            - getBlock
            - getBlockCommitment
            - getBlockHeight
            - getBlockProduction
            - getBlockTime
            - getBlocks
            - getBlocksWithLimit
            - getClusterNodes
            - getConfirmedBlock
            - getConfirmedBlocks
            - getConfirmedBlocksWithLimit
            - getConfirmedSignaturesForAddress2
            - getConfirmedTransaction
            - getEpochInfo
            - getEpochSchedule
            - getFeeCalculatorForBlockhash
            - getFeeForMessage
            - getFeeRateGovernor
            - getFees
            - getFirstAvailableBlock
            - getGenesisHash
            - getHealth
            - getHighestSnapshotSlot
            - getIdentity
            - getInflationGovernor
            - getInflationRate
            - getInflationReward
            - getLargestAccounts
            - getLatestBlockhash
            - getLeaderSchedule
            - getMaxRetransmitSlot
            - getMaxShredInsertSlot
            - getMinimumBalanceForRentExemption
            - getMultipleAccounts
            - getParsedBlock
            - getParsedTransaction
            - getProgramAccounts
            - getRecentBlockhash
            - getRecentPerformanceSamples
            - getRecentPrioritizationFees
            - getSignatureStatuses
            - getSignaturesForAddress
            - getSlot
            - getSlotLeader
            - getSlotLeaders
            - getSnapshotSlot
            - getStakeMinimumDelegation
            - getStakeActivation
            - getSupply
            - getTokenAccountBalance
            - getTokenAccountsByDelegate
            - getTokenAccountsByOwner
            - getTokenLargestAccounts
            - getTokenSupply
            - getTransaction
            - getTransactionsForAddress
            - getTransactionCount
            - getVersion
            - getVoteAccounts
            - isBlockhashValid
            - logSubscribe
            - logUnsubscribe
            - minimumLedgerSlot
            - requestAirdrop
            - rootSubscribe
            - rootUnsubscribe
            - sendTransaction
            - simulateTransaction
            - blob.Get
            - blob.GetAll
            - blob.GetProof
            - blob.Included
            - blob.Submit
            - das.SamplingStats
            - das.WaitCatchUp
            - fraud.Get
            - fraud.Subscribe
            - header.GetByHash
            - header.GetByHeight
            - header.GetRangeByHeight
            - header.LocalHead
            - header.NetworkHead
            - header.Subscribe
            - header.SyncState
            - header.SyncWait
            - header.WaitForHeight
            - node.AuthNew
            - node.AuthVerify
            - node.Info
            - node.LogLevelSet
            - p2p.BandwidthForPeer
            - p2p.BandwidthForProtocol
            - p2p.BandwidthStats
            - p2p.BlockPeer
            - p2p.ClosePeer
            - p2p.Connect
            - p2p.Connectedness
            - p2p.Info
            - p2p.IsProtected
            - p2p.ListBlockedPeers
            - p2p.NATStatus
            - p2p.PeerInfo
            - p2p.Peers
            - p2p.Protect
            - p2p.PubSubPeers
            - p2p.ResourceState
            - p2p.UnblockPeer
            - p2p.Unprotect
            - share.GetEDS
            - share.GetShare
            - share.GetSharesByNamespace
            - share.SharesAvailable
            - state.AccountAddress
            - state.Balance
            - state.BalanceForAddress
            - state.BeginRedelegate
            - state.CancelUnbondingDelegation
            - state.Delegate
            - state.QueryDelegation
            - state.QueryRedelegations
            - state.QueryUnbonding
            - state.SubmitPayForBlob
            - state.SubmitTx
            - state.Transfer
            - state.Undelegate
            - query
            - EXPERIMENTAL_changes
            - EXPERIMENTAL_changes_in_block
            - chunk
            - gas_price
            - network_info
            - EXPERIMENTAL_genesis_config
            - EXPERIMENTAL_protocol_config
            - send_tx
            - EXPERIMENTAL_tx_status
            - EXPERIMENTAL_receipt
            - broadcast_tx_commit
            - block_search
            - broadcast_tx
            - check_tx
            - dial_peers
            - dial_seeds
            - events
            - genesis_chunked
            - header
            - header_by_hash
            - remove_tx
            - subscribe
            - unsafe_flush_mempool
            - unsubscribe
            - unsubscribe_all
            - account
            - accounts
            - balance
            - accounttxs
            - blocktxs
            - height
            - state
            - supply
            - supportedchains
            - upgrade
            - param
            - allParams
            - app
            - apps
            - node
            - nodes
            - signinginfo
            - nodeclaim
            - nodeclaims
            - unsupportedtx
            - unsupportedtxs
            - /lts/state/account-all-fungible-resource-balances
            - /lts/state/account-deposit-behaviour
            - /lts/state/account-fungible-resource-balance
            - /lts/stream/account-transaction-outcomes
            - /lts/stream/transaction-outcomes
            - /lts/transaction/construction
            - /lts/transaction/status
            - /lts/transaction/submit
            - /mempool/list
            - /mempool/transaction
            - /state/access-controller
            - /state/account
            - /state/component
            - /state/consensus-manager
            - /state/non-fungible
            - /state/package
            - /state/resource
            - /state/validator
            - /status/network-configuration
            - /status/network-status
            - /status/scenarios
            - /stream/proofs
            - /stream/transactions
            - /transaction/call-preview
            - /transaction/parse
            - /transaction/preview
            - /transaction/receipt
            - /transaction/status
            - /transaction/submit
            - suix_getAllBalances
            - suix_getAllCoins
            - suix_getBalance
            - suix_getCoinMetadata
            - suix_getCoins
            - suix_getTotalSupply
            - suix_getDynamicFieldObject
            - suix_getDynamicFields
            - suix_getOwnedObjects
            - suix_queryEvents
            - suix_queryTransactionBlocks
            - suix_resolveNameServiceAddress
            - suix_resolveNameServiceNames
            - suix_subscribeEvent
            - suix_subscribeTransaction
            - suix_getCommitteeInfo
            - suix_getLatestSuiSystemState
            - suix_getReferenceGasPrice
            - suix_getStakes
            - suix_getStakesByIds
            - suix_getValidatorsApy
            - sui_getMoveFunctionArgTypes
            - sui_getNormalizedMoveFunction
            - sui_getNormalizedMoveModule
            - sui_getNormalizedMoveModulesByPackage
            - sui_getNormalizedMoveStruct
            - sui_getChainIdentifier
            - sui_getCheckpoint
            - sui_getCheckpoints
            - sui_getEvents
            - sui_getLatestCheckpointSequenceNumber
            - sui_getLoadedChildObjects
            - sui_getObject
            - sui_getProtocolConfig
            - sui_getTotalTransactionBlocks
            - sui_getTransactionBlock
            - sui_multiGetObjects
            - sui_multiGetTransactionBlocks
            - sui_tryGetPastObject
            - sui_tryMultiGetPastObjects
            - unsafe_batchTransaction
            - unsafe_mergeCoins
            - unsafe_moveCall
            - unsafe_pay
            - unsafe_payAllSui
            - unsafe_paySui
            - unsafe_publish
            - unsafe_requestAddStake
            - unsafe_requestWithdrawStake
            - unsafe_splitCoin
            - unsafe_splitCoinEqual
            - unsafe_transferObject
            - unsafe_transferSui
            - sui_devInspectTransactionBlock
            - sui_dryRunTransactionBlock
            - sui_executeTransactionBlock
            - getAsset
            - getAssetProof
            - getAssetsByAuthority
            - getAssetsByCreator
            - getAssetsByGroup
            - getAssetsByOwner
            - getSignaturesForAsset
            - signatureSubscribe
            - signatureUnsubscribe
            - slotSubscribe
            - slotUnsubscribe
            - blockSubscribe
            - logsSubscribe
            - logsUnsubscribe
            - zks_estimateFee
            - zks_getAllAccountBalances
            - zks_getBlockDetails
            - zks_getBridgeContracts
            - zks_getL1BatchBlockRange
            - zks_getL2ToL1LogProof
            - zks_getMainContract
            - zks_getRawBlockTransactions
            - zks_getTransactionDetails
            - zks_L1BatchNumber
            - zks_L1ChainId
            - zks_getBytecodeByHash
            - zks_getL1BatchDetails
            - zks_getL2ToL1MsgProof
            - zks_getProof
            - zks_getTestnetPaymaster
            - zks_estimateGasL1ToL2
            - zkevm_consolidatedBlockNumber
            - zkevm_isBlockConsolidated
            - zkevm_isBlockVirtualized
            - zkevm_batchNumberByBlockNumber
            - zkevm_batchNumber
            - zkevm_virtualBatchNumber
            - zkevm_verifiedBatchNumber
            - zkevm_getBatchByNumber
            - zkevm_getBroadcastURI
            - starknet_getClassHashAt
            - starknet_addDeployAccountTransaction
            - starknet_addDeclareTransaction
            - starknet_blockHashAndNumber
            - starknet_getStorageAt
            - starknet_blockNumber
            - starknet_getStateUpdate
            - starknet_getTransactionByBlockIdAndIndex
            - starknet_getTransactionReceipt
            - starknet_getBlockTransactionCount
            - starknet_call
            - starknet_estimateFee
            - starknet_getNonce
            - starknet_chainId
            - starknet_getTransactionByHash
            - starknet_syncing
            - starknet_getBlockWithTxHashes
            - starknet_getEvents
            - starknet_pendingTransactions
            - starknet_getClass
            - starknet_getBlockWithTxs
            - starknet_addInvokeTransaction
            - starknet_getClassAt
            - starknet_estimateMessageFee
            - starknet_getBlockWithReceipts
            - debug_gcStats
            - debug_traceCallMany
            - eth_getBlockRange
            - qn_getBlockWithReceipts
            - qn_getReceipts
            - rollup_gasPrices
            - getBlockAttestations
            - getBlockHeaders
            - getBlockRoot
            - getBlockHeader
            - getStateCommittees
            - getGenesis
            - getStateSyncCommittees
            - getStateFinalityCheckpoints
            - getStateFork
            - getStateRoot
            - getStateValidator
            - getStateValidatorBalances
            - getStateValidators
            - debug_getRawBlock
            - debug_getRawHeader
            - debug_getRawTransaction
            - eth_blobBaseFee
            - decoderawtransaction
            - decodescript
            - estimatesmartfee
            - getbestblockhash
            - getblockchaininfo
            - getblockcount
            - getblockhash
            - getblockheader
            - getblockstats
            - getblock
            - getchaintips
            - getchaintxstats
            - getconnectioncount
            - getdifficulty
            - getindexinfo
            - getmemoryinfo
            - getmempoolancestors
            - getmempooldescendants
            - getmempoolinfo
            - getmininginfo
            - getnetworkinfo
            - getrawmempool
            - getrawtransaction
            - gettxoutproof
            - gettxoutsetinfo
            - gettxout
            - sendrawtransaction
            - submitpackage
            - testmempoolaccept
            - validateaddress
            - verifymessage
            - author_pendingExtrinsics
            - author_submitAndWatchExtrinsic
            - author_submitExtrinsic
            - beefy_getFinalizedHead
            - beefy_subscribeJustifications
            - beefy_unsubscribeJustifications
            - chain_getBlock
            - chain_getBlockHash
            - chain_getFinalizedHead
            - chain_getHeader
            - chain_subscribeAllHeads
            - chain_subscribeFinalizedHeads
            - chain_subscribeNewHead
            - chain_subscribeNewHeads
            - chain_subscribeRuntimeVersion
            - chain_unsubscribeAllHeads
            - chain_unsubscribeFinalizedHeads
            - chain_unsubscribeNewHead
            - chain_unsubscribeNewHeads
            - chain_unsubscribeRuntimeVersion
            - childstate_getKeys
            - childstate_getKeysPaged
            - childstate_getStorage
            - childstate_getStorageEntries
            - childstate_getStorageHash
            - childstate_getStorageSize
            - grandpa_proveFinality
            - grandpa_roundState
            - grandpa_subscribeJustifications
            - grandpa_unsubscribeJustifications
            - rpc_methods
            - state_call
            - state_getChildReadProof
            - state_getKeysPaged
            - state_getMetadata
            - state_getReadProof
            - state_getRuntimeVersion
            - state_getStorage
            - state_getStorageHash
            - state_getStorageSize
            - state_queryStorageAt
            - state_subscribeRuntimeVersion
            - state_unsubscribeRuntimeVersion
            - state_unsubscribeStorage
            - sync_state_genSyncSpec
            - system_chain
            - system_chainType
            - system_health
            - system_name
            - system_nodeRoles
            - system_properties
            - system_syncState
            - system_version
            - unsubscribe_newHead
            - erigon_blockNumber
            - erigon_forks
            - eth_bigBlockGasPrice
            - erigon_getBlockByTimestamp
            - erigon_getBlockReceiptsByBlockHash
            - erigon_getHeaderByHash
            - erigon_getHeaderByNumber
            - erigon_getLatestLogs
            - erigon_getLogsByHash
            - parlia_getValidators
            - parlia_getSnapshot
            - starknet_specVersion
            - starknet_getTransactionStatus
            - starknet_traceTransaction
            - starknet_simulateTransactions
            - starknet_traceBlockTransactions
            - pathfinder_version
            - pathfinder_getProof
            - pathfinder_getTransactionStatus
            - pathfinder_subscribe
            - pathfinder_unsubscribe
            - eth_callMany
            - eth_simulateV1
            - eth_get_asset_balance
            - avm.getBlockByHeight
            - avm.getHeight
            - avm.getUtxOs
            - platform.getFeeConfig
            - platform.getFeeState
            - platform.getRewardUtxOs
            - platform.getStakingAssetId
            - platform.getUtxOs
            - platform.getBlockByHeight
            - parity_clearEngineSigner
            - parity_enode
            - parity_getBlockReceipts
            - parity_netPeers
            - parity_pendingTransactions
            - getmempoolentry
            - verifychain
            - preciousblock
            - savemempool
            - scantxoutset
            - verifytxoutproof
            - uptime
            - getrpcinfo
            - help
            - logging
            - getblocktemplate
            - getnetworkhashps
            - prioritisetransaction
            - getpeerinfo
            - getnettotals
            - listbanned
            - ping
            - getnodeaddresses
            - setnetworkactive
            - analyzepsbt
            - createpsbt
            - combinepsbt
            - createrawtransaction
            - combinerawtransaction
            - decodepsbt
            - finalizepsbt
            - signrawtransactionwithkey
            - createmultisig
            - deriveaddresses
            - signmessagewithprivkey
            - getzmqnotifications
            - zkevm_estimateCounters
            - zkevm_estimateGasPrice
            - kaia_accountCreated
            - kaia_accounts
            - kaia_blockNumber
            - kaia_call
            - kaia_chainId
            - kaia_clientVersion
            - kaia_decodeAccountKey
            - kaia_encodeAccountKey
            - kaia_estimateComputationCost
            - kaia_estimateGas
            - kaia_feeHistory
            - kaia_gasPrice
            - kaia_getAccount
            - kaia_getAccountKey
            - kaia_getLogs
            - kaia_getBalance
            - kaia_getBlockByHash
            - kaia_getBlockByNumber
            - kaia_getBlockTransactionCountByHash
            - kaia_getBlockTransactionCountByNumber
            - kaia_getBlockWithConsensusInfoByHash
            - kaia_getBlockWithConsensusInfoByNumber
            - kaia_getBlockWithConsensusInfoByNumberRange
            - kaia_getChainConfig
            - kaia_getCode
            - kaia_getCommittee
            - kaia_getCommitteeSize
            - kaia_getCouncil
            - kaia_getCouncilSize
            - kaia_getFilterChanges
            - kaia_getHeaderByHash
            - kaia_getHeaderByNumber
            - kaia_getProof
            - kaia_getRewards
            - kaia_getStakingInfo
            - kaia_getStorageAt
            - kaia_getTransactionByBlockHashAndIndex
            - kaia_getTransactionByBlockNumberAndIndex
            - kaia_getTransactionByHash
            - kaia_getTransactionBySenderTxHash
            - kaia_getTransactionCount
            - kaia_getTransactionReceipt
            - kaia_getTransactionReceiptBySenderTxHash
            - kaia_isContractAccount
            - kaia_isSenderTxHashIndexingEnabled
            - kaia_lowerBoundGasPrice
            - kaia_maxPriorityFeePerGas
            - kaia_newBlockFilter
            - kaia_newFilter
            - kaia_newPendingTransactionFilter
            - kaia_nodeAddress
            - kaia_pendingTransactions
            - kaia_protocolVersion
            - kaia_recoverFromMessage
            - kaia_sendRawTransaction
            - kaia_signTransaction
            - kaia_subscribe
            - kaia_syncing
            - kaia_uninstallFilter
            - kaia_unsubscribe
            - kaia_upperBoundGasPrice
            - kaia_sha3
            - kaia_getBlockReceipts
            - klay_accountCreated
            - klay_getLogs
            - klay_accounts
            - klay_blockNumber
            - klay_call
            - klay_chainId
            - klay_clientVersion
            - klay_decodeAccountKey
            - klay_encodeAccountKey
            - klay_estimateComputationCost
            - klay_estimateGas
            - klay_feeHistory
            - klay_gasPrice
            - klay_getAccount
            - klay_getAccountKey
            - klay_getBalance
            - klay_getBlockByHash
            - klay_getBlockByNumber
            - klay_getBlockReceipts
            - klay_getBlockTransactionCountByHash
            - klay_getBlockTransactionCountByNumber
            - klay_getBlockWithConsensusInfoByHash
            - klay_getBlockWithConsensusInfoByNumber
            - klay_getBlockWithConsensusInfoByNumberRange
            - klay_getChainConfig
            - klay_getCode
            - klay_getCommittee
            - klay_getCommitteeSize
            - klay_getCouncil
            - klay_getCouncilSize
            - klay_getFilterChanges
            - klay_getHeaderByHash
            - klay_getHeaderByNumber
            - klay_getProof
            - klay_getRewards
            - klay_getStakingInfo
            - klay_getStorageAt
            - klay_getTransactionByBlockHashAndIndex
            - klay_getTransactionByBlockNumberAndIndex
            - klay_getTransactionByHash
            - klay_getTransactionBySenderTxHash
            - klay_getTransactionCount
            - klay_getTransactionReceipt
            - klay_getTransactionReceiptBySenderTxHash
            - klay_isContractAccount
            - klay_isSenderTxHashIndexingEnabled
            - klay_lowerBoundGasPrice
            - klay_maxPriorityFeePerGas
            - klay_newBlockFilter
            - klay_newFilter
            - klay_newPendingTransactionFilter
            - klay_nodeAddress
            - klay_pendingTransactions
            - klay_protocolVersion
            - klay_recoverFromMessage
            - klay_sendRawTransaction
            - klay_signTransaction
            - klay_subscribe
            - klay_syncing
            - klay_uninstallFilter
            - klay_unsubscribe
            - klay_upperBoundGasPrice
            - klay_sha3
            - buildTransaction
            - eth_getTransactions
            - eth_getDecodedTransactions
            - eth_getTokenBalances
            - eth_getTokenPrice
            - eth_getTokenMetadata
            - eth_getNFTBalances
            - eth_getNFTCollections
            - getEvents
            - getFeeStats
            - getLatestLedger
            - getLedgerEntries
            - getLedgers
            - getNetwork
            - getTransactions
            - getVersionInfo
            - account_channels
            - account_currencies
            - account_info
            - account_lines
            - account_objects
            - account_offers
            - account_tx
            - gateway_balances
            - noripple_check
            - ledger
            - ledger_closed
            - ledger_current
            - ledger_data
            - ledger_entry
            - submit
            - submit_multisigned
            - transaction_entry
            - tx_history
            - book_offers
            - deposit_authorized
            - path_find
            - ripple_path_find
            - channel_authorize
            - channel_verify
            - fee
            - manifest
            - server_info
            - server_state
            - random
            - debug_memStats
            - debug_accountRange
            - debug_chaindbCompact
            - debug_chaindbProperty
            - debug_dbAncient
            - debug_dbAncients
            - debug_getAccessibleState
            - debug_getModifiedAccountsByHash
            - debug_getModifiedAccountsByNumber
            - debug_goTrace
            - debug_intermediateRoots
            - debug_mutexProfile
            - debug_printBlock
            - debug_stacks
            - debug_traceBadBlock
            - debug_traceBlockFromFile
            - shh_addToGroup
            - shh_getFilterChanges
            - shh_getMessages
            - shh_hasIdentity
            - shh_newFilter
            - shh_newGroup
            - shh_newIdentity
            - shh_post
            - shh_uninstallFilter
            - shh_version
            - les_serverInfo
            - les_clientInfo
            - les_priorityClientInfo
            - les_addBalance
            - les_setClientParams
            - les_setDefaultParams
            - les_latestCheckpoint
            - les_getCheckpoint
            - les_getCheckpointContractAddress
          example: eth_getBalance
          default: eth_getBalance
        params:
          type: object
          description: >-
            A Structured value that holds the parameter values to be used during
            the invocation of the method.
          example:
            - '0xe5cB067E90D5Cd1F8052B83562Ae670bA4A211a8'
            - latest
          default:
            - '0xe5cB067E90D5Cd1F8052B83562Ae670bA4A211a8'
            - latest
      required:
        - id
        - jsonrpc
        - method
    JsonRpcResponse:
      type: object
      properties:
        id:
          type: object
        jsonrpc:
          type: string
        result:
          type: object
        status:
          type: number
        data:
          type: object
        error:
          type: object
      required:
        - id
        - jsonrpc
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````